﻿Type=Service
Version=2.01
StartAtBoot=False
@EndOfDesignText@
'Service module
Sub Process_Globals
	Dim imageName As String : imageName = "tempImage"
	Dim lwm As LWManager
	Dim LiveEngine As LWEngine
	Dim image As Bitmap
End Sub
Sub Service_Create
	lwm.Initialize("lwm", False)
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub

Sub ImageChanged
	If File.Exists(File.DirInternal, imageName) Then
		image = LoadBitmap(File.DirInternal, imageName)
		If LiveEngine.IsInitialized Then LWM_OffsetChanged(LiveEngine)
	End If
End Sub

Sub LWM_SizeChanged (Engine As LWEngine)
	'This event is raised when the engine is first ready (and when the screen size changes).
	'We need to hold a reference to the non-preview engine to allow us to later change the
	'image.
	If Engine.IsPreview = False Then LiveEngine = Engine
End Sub

Sub LWM_OffsetChanged (Engine As LWEngine)
	If image.IsInitialized Then
		Engine.Rect.Left = -Engine.CurrentOffsetX
		Engine.Rect.Top = -Engine.CurrentOffsetY
		Engine.Rect.Right = -Engine.CurrentOffsetX + Engine.FullWallpaperWidth
		Engine.Rect.Bottom = -Engine.CurrentOffsetY + Engine.FullWallpaperHeight
		Engine.Canvas.DrawBitmap(image, Null, Engine.Rect)
	Else
		Engine.Canvas.DrawColor(Colors.Black)
		Engine.Canvas.DrawText("No image selected", 120dip, 120dip, Typeface.DEFAULT_BOLD, 30, Colors.White, "LEFT")
	End If
	Engine.RefreshAll
End Sub